Page MenuHomePhabricator

Update existing outdated wordmarks
Closed, ResolvedPublic3 Estimated Story Points

Description

Several projects already have wordmarks defined and these need to be updated as part of desktop refresh. After updating the wordmarks test the mobile and desktop (skinversion=2) versions.

Acceptance criteria

  • Drop outdated PNG versions of wordmarks in mediawiki-config repo. These are no longer needed.
  • Update SVGs and associated width and heights in wmf-config/InitialiseSettings.php
  • Update SVGs in Alex's comment in T252143#6138326

Outdated SVGs

They are as follows:

FilenameIn gerrit patch?
static/images/mobile/copyright/wikipedia-wordmark-en.svg119x18
static/images/mobile/copyright/commons-wordmark-en.svg
static/images/mobile/copyright/wikipedia-wordmark-ar.svg
static/images/mobile/copyright/wikipedia-wordmark-atj.svg
static/images/mobile/copyright/wikipedia-wordmark-bn.svg
static/images/mobile/copyright/wikipedia-wordmark-ca.svg
static/images/mobile/copyright/wikipedia-wordmark-cs.svg
static/images/mobile/copyright/wikipedia-wordmark-cy.svg
static/images/mobile/copyright/wikipedia-wordmark-et.svg
static/images/mobile/copyright/wikipedia-wordmark-hi.svg
static/images/mobile/copyright/wikipedia-wordmark-ja.svg
static/images/mobile/copyright/wikipedia-wordmark-la.svg
static/images/mobile/copyright/wikipedia-wordmark-ps.svg
static/images/mobile/copyright/wikipedia-wordmark-ru.svg
static/images/mobile/copyright/wikipedia-wordmark-sd.svg
static/images/mobile/copyright/wikipedia-wordmark-sr.svg
static/images/mobile/copyright/wikipedia-wordmark-szl.svg
static/images/mobile/copyright/wikipedia-wordmark-ur.svg
static/images/mobile/copyright/wikipedia-wordmark-uz.svg
static/images/mobile/copyright/wikipedia-wordmark-zh-c.svg
static/images/mobile/copyright/wikitionary-wordmark-en.svg

Taglines

We'll need to update taglines in future. Make sure there's a new task setup to do just that.

FilenameIn gerrit patch?
static/images/mobile/copyright/wikipedia-tagline-ja.svg

sign off steps

Event Timeline

Jdlrobson created this task.May 7 2020, 6:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2020, 6:09 PM

Change 595014 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] WIP: Update production wordmarks

https://gerrit.wikimedia.org/r/595014

Jdlrobson triaged this task as High priority.May 7 2020, 6:19 PM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptMay 7 2020, 6:19 PM

Leaving this one with you to get those assets prepared. Can deploy the change once this is done. Can estimate on assumption that logos are done.

Jdlrobson renamed this task from Update existing outdated wordmarks to Update existing outdated wordmarks and run ImageOptim on icon PNGs.May 11 2020, 3:16 PM
Jdlrobson updated the task description. (Show Details)

Is this different from T252108 (Optimise production wiki logos)?

Jdlrobson renamed this task from Update existing outdated wordmarks and run ImageOptim on icon PNGs to Update existing outdated wordmarks.May 12 2020, 2:55 PM
Jdlrobson updated the task description. (Show Details)

Cool hadn't seen that. THanks @Jdrewniak

alexhollender reassigned this task from alexhollender to Jdlrobson.EditedMay 13 2020, 3:51 AM

@Jdlrobson all SVGs can be found here: https://drive.google.com/file/d/1nrqYAOnRtZjx9MTPvaq-pnJRjuLKwO9o/view?usp=sharing

The only issue is with Wikivoyage, because the desktop logo doesn't deconstruct easily into the mobile version:

desktopmobile

That means until we implement some kind of solution things will look like this:

desktopmobile

Perhaps we can create a separate ticket to figure out how we want to handle that?

@Jdlrobson missing commons wordmark:

Jdlrobson updated the task description. (Show Details)May 13 2020, 5:50 PM

Change 595014 merged by jenkins-bot:
[operations/mediawiki-config@master] Update production wordmarks

https://gerrit.wikimedia.org/r/595014

Mentioned in SAL (#wikimedia-operations) [2020-05-13T18:17:15Z] <urbanecm@deploy1001> Synchronized static/images/mobile/copyright/: SWAT: 38db3e0: Update production wordmarks (T252143) (duration: 01m 09s)

Mentioned in SAL (#wikimedia-operations) [2020-05-13T18:22:58Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: 38db3e0: Update production wordmarks (T252143) (duration: 01m 07s)

Jdlrobson updated the task description. (Show Details)May 13 2020, 7:33 PM
Jdlrobson updated the task description. (Show Details)
alexhollender reassigned this task from alexhollender to Jdlrobson.EditedMay 14 2020, 7:43 PM

@Jdlrobson looking great. Few things to address:

Problematic SVGs

siteissuecorrect SVG
CY (link)SVG viewbox issue
ET (link)SVG viewbox issue
SR (link)SVG viewbox issue
UR (link)SVG viewbox issue
UZ (link)SVG viewbox issue
Commons (link)wrong SVG

Also, how can I test ZH-C?

Jdlrobson updated the task description. (Show Details)May 14 2020, 8:34 PM

Thanks for the thorough check

CY (link) — SVG seems fine, should be height=18px (currently 17px)
SR (link) — SVG seems fine, should be height=23px (currently 22px)
UZ (link) — SVG seems fine, should be height=18px (currently 17px)

Looks like there's a problem with the SVGs here.
SR is 125x22 (view-source:https://en.wikipedia.org/static/images/mobile/copyright/wikipedia-wordmark-sr.svg)
UZ is 120x17 (view-source:https://en.wikipedia.org/static/images/mobile/copyright/wikipedia-wordmark-uz.svg)
CY is 119x17 (view-source:https://en.wikipedia.org/static/images/mobile/copyright/wikipedia-wordmark-cy.svg)

Could you modify your comment above to include the correct SVGs? I've linked to it from the acceptance criteria so I don't lose trace of this update. Would be good to have them all in the same place.

Also, how can I test ZH-C?

https://zh-classical.wikipedia.org/wiki/%E7%B6%AD%E5%9F%BA%E5%A4%A7%E5%85%B8:%E5%8D%B7%E9%A6%96?useskinversion=2

Jdlrobson updated the task description. (Show Details)May 18 2020, 4:23 PM

Change 597117 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] English wordmark dimensions are incorrect

https://gerrit.wikimedia.org/r/597117

ovasileva set the point value for this task to 3.May 18 2020, 5:28 PM

Change 597117 merged by jenkins-bot:
[operations/mediawiki-config@master] English wordmark dimensions are incorrect

https://gerrit.wikimedia.org/r/597117

Mentioned in SAL (#wikimedia-operations) [2020-05-18T18:13:15Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Fix English Wikipedia wordmark dimensions (T252143) (duration: 01m 06s)

@Jdlrobson apologies for how long this has taken. Have the icons from https://phabricator.wikimedia.org/T252143#6138326 been swapped in? I'm still seeing the old ones, e.g. https://cy.wikipedia.org/static/images/mobile/copyright/wikipedia-wordmark-cy.svg

I tried a hard refresh.

Jdlrobson added a comment.EditedJun 5 2020, 9:42 PM

Try cache busting:
https://cy.wikipedia.org/static/images/mobile/copyright/wikipedia-wordmark-cy.svg?s=3

Note the cache time for logos is pretty long (so we have to bear that in mind when changing them).

Moving this to signoff and creating a new task for the remaining logos that need to be replaced.

ovasileva closed this task as Resolved.Jun 10 2020, 10:10 AM